package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.RolePersonCheckOn;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface RolePersonCheckOnDAO {
	int insert(RolePersonCheckOn entity);
	int update(RolePersonCheckOn entity);
	int exist(String id);
	RolePersonCheckOn get(String id);
	int delete(String id);
	List<RolePersonCheckOn> list();
	RolePersonCheckOn findByPersonId(String personId);
	List<RolePersonCheckOn> search(Map<String, Object> searchParams, List<Sort> sortList);
    RolePersonCheckOn findByRoleId(String roleId);
}